# Conditional build:
%bcond_with	gnomecontrol	# register with GNOME as a default terminal application
#
Summary:	ROXTerm - a terminal emulator
Summary(hu.UTF-8):	ROXTerm egy terminál emulátor
Summary(pl.UTF-8):	ROXTerm - emulator terminala
Name:		roxterm
Version:	2.9.4
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/roxterm/%{name}-%{version}.tar.bz2
# Source0-md5:	9cdac35d5fd115eb1b67b21dc419db1c
URL:		http://roxterm.sourceforge.net/
BuildRequires:	ImageMagick-coder-png
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel >= 0.22
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.16.0
%{?with_gnomecontrol:BuildRequires:	gnome-control-center-devel}
BuildRequires:	gtk+3-devel
BuildRequires:	libglade2-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	po4a
BuildRequires:	python-lockfile
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
BuildRequires:	vte2.90-devel
#BuildRequires:	vte-devel >= 0.27.0
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	dbus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ROXTerm is a terminal emulator intended to provide similar features to
gnome-terminal, based on the same VTE library, but with a smaller
footprint and quicker start-up time. It achieves this by not using the
GNOME libraries and by using a separate applet to provide the
configuration GUI. It can be used as a ROX application, as the name
implies, or in any other X environment.

%description -l hu.UTF-8
ROXTerm egy terminál emulátor, amely hasonló képességekkel bír, mint a
gnome-terminal. VTE alapú, de kisebb és gyorsabban indul. Nem
használja a Gnome könyvtárait és egy konfiguráló GUI-t is biztosít.
Használható ROX alkalmazásként is, mint ahogy a neve mutatatja, vagy
bármely más X környezetben.

%description -l pl.UTF-8
ROXTerm jest emulatorem terminala, który w założeniach ma być podobny
do gnome-terminala, bazować na tej samej bibliotece VTE, ale być
mniejszy i szybciej się uruchamiać. Cel ten został osiągnięty, dzięki
temu, że ROXTerm nie używa bibliotek GNOME, a do graficznego
interfejsu konfiguracyjnego używa osobnego apletu. ROXTerm - jak nazwa
wskazuje - może być używany jako aplikacja ROX. Może być również
używany z dowolnym innym środowiskiem X.

%prep
%setup -q

%build
%{__python} mscript.py configure \
	--prefix="%{_prefix}" \
	--enable-gtk3 \
	--enable-sm \
	--with%{!?with_gnomecontrol:out}-gnome-default-applications

%{__python} mscript.py build \
	CC="%{__cc}" \
	CPPFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__python} mscript.py install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README Help/en Help/es Help/lib
%attr(755,root,root) %{_bindir}/roxterm-config
%attr(755,root,root) %{_bindir}/roxterm
%{_datadir}/%{name}
%{?with_gnomecontrol:%{_datadir}/gnome-control-center/default-apps/roxterm.xml}
%{_datadir}/appdata/roxterm.appdata.xml
%{_desktopdir}/roxterm.desktop
%{_iconsdir}/hicolor/scalable/apps/roxterm.svg
%{_mandir}/man1/roxterm-config.1*
%{_mandir}/man1/roxterm.1*
%lang(es) %{_mandir}/es/man1/roxterm-config.1*
%lang(es) %{_mandir}/es/man1/roxterm.1*
%lang(fr) %{_mandir}/fr/man1/roxterm-config.1*
%lang(fr) %{_mandir}/fr/man1/roxterm.1*
%lang(pt) %{_mandir}/pt/man1/roxterm-config.1*
%lang(pt) %{_mandir}/pt/man1/roxterm.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/roxterm-config.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/roxterm.1*
%lang(ru) %{_mandir}/ru/man1/roxterm-config.1*
%lang(ru) %{_mandir}/ru/man1/roxterm.1*
%lang(uk) %{_mandir}/uk/man1/roxterm-config.1*
%lang(uk) %{_mandir}/uk/man1/roxterm.1*
%changelog
* Mon Apr 20 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/roxterm.git;a=log;h=master

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 7cd47f9
- rebuild with libffi 3.3
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7a3240d
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 4ef82e6
- libffi rebuild
- release 2 (by relup.sh)

* Sat Nov 22 2014 Jan Rękorajski <baggins@pld-linux.org> 103e266
- updated BRs and files

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 5bdd46a
- up to 2.9.4

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> 62a4cab
- up to 2.7.2
- flags patch not needed

* Tue Feb 07 2012 lisu <lisu@pld-linux.org> 4ac0c32
- use --prefix in configure section instead of PREFIX in build section

* Tue Feb 07 2012 lisu <lisu@pld-linux.org> e082c31
- ImageMagick -> ImageMagick-coder-png in BRs

* Tue Feb 07 2012 lisu <lisu@pld-linux.org> 3e4efb5
- BR: ImageMagick (without -devel, needed by maitch build system)

* Tue Feb 07 2012 lisu <lisu@pld-linux.org> ecd80ff
- pass our flags
- use arch dependend compiler

* Tue Feb 07 2012 lisu <lisu@pld-linux.org> 4a712da
- updated to 2.4.2
- switch to maitch build system (autoconf is going to be deprecated soon)
- BR: po4a, python-lockfile
- dropped BRs: autoconf, automake
- use find_lang macro

* Sun Oct 16 2011 Jan Palus <jan.palus@gmail.com> ce62bc5
- up to 2.2.2

* Mon Sep 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ed2835
- rel 1

* Tue Sep 13 2011 Jan Palus <jan.palus@gmail.com> de0c425
- up to 2.1.1

* Wed Aug 24 2011 Jan Palus <jan.palus@gmail.com> fdacfd0
- up to 2.0.1
- updated BRs
- drop lang files (not generated)
- drop es docs (not provided anymore)
- rel 0.1

* Sun Jul 03 2011 Jan Palus <jan.palus@gmail.com> 274d2f6
- updated to: 1.22.2

* Sun Jun 26 2011 Jan Palus <jan.palus@gmail.com> b63ef4f
- updated to: 1.22.1

* Thu Mar 17 2011 Jan Palus <jan.palus@gmail.com> e940028
- updated to: 1.21.4

* Mon Mar 14 2011 Jan Palus <jan.palus@gmail.com> d0fbacb
- updated to: 1.21.3

* Fri Mar 04 2011 Jan Palus <jan.palus@gmail.com> 82906ef
- updated to: 1.21.2

